.catalog-content {
  padding: 40px 0 96px;
  background: #f6f7f9;
}

.catalog-content .container {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.catalog-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 24px;
}

.product-cards__card {
  overflow: hidden;
}

.product__video {
  width: 100%;
  height: auto;
  object-fit: cover;
}
input[type="checkbox"]:disabled + .checkbox-mark,
input[type="checkbox"]:disabled + .checkbox-mark + .checkbox-text {
  opacity: 0.5;
  cursor: not-allowed;
}

.filters-list.white .checkbox-text {
  color: #fff;
}

.filters-list.white .checkbox-mark::after {
  background-color: #fff;
}

.catalog-filter__wrap {
  border-bottom: 1px solid #ddd;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 24px;
  padding: 12px 0;
}

.filters-list {
  gap: 17px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.catalog-filter__bottom {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  padding: 24px 0;
}

.catalog-filter__bottom .count {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #69737c;
}

.filter-item {
  position: relative;
}

.filter-item:not(:last-of-type):after {
  content: "";
  position: absolute;
  right: -9px;
  height: 32px;
  width: 1px;
  background-color: #d9d9d9;
  top: 50%;
  transform: translateY(-50%);
}

.filter-toggle {
  background: transparent;
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 6px 4px;
  color: var(--text-color-black);
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-transform: uppercase;
  gap: 4px;
  padding: 12px 16px;
}

.filter-toggle img {
  width: 16px;
}

.filter-dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  background: #fff;
  padding: 16px;
  display: none;
  flex-direction: column;
  min-width: 220px;
  max-height: 260px;
  overflow-y: auto;
  z-index: 10;
  box-shadow: 0px 0px 25px 0px #15161a0f;
}

.filter-dropdown:not(.touch-screen) ::-webkit-scrollbar,
.filter-dropdown:not(.touch-screen)::-webkit-scrollbar {
  width: 5px;
  height: 5px;
  border-radius: 10px;
}

.filter-dropdown:not(.touch-screen) ::-webkit-scrollbar-track,
.filter-dropdown:not(.touch-screen)::-webkit-scrollbar-track {
  background: transparent;
}

.filter-dropdown:not(.touch-screen) ::-webkit-scrollbar-thumb,
.filter-dropdown:not(.touch-screen)::-webkit-scrollbar-thumb {
  background: #8a8a8c;
  border-radius: 10px;
}

.filter-dropdown .checkbox:not(:last-of-type) {
  margin-bottom: 16px;
}

.filter-dropdown label {
  display: flex;
  align-items: center;

  cursor: pointer;
}

.filter-dropdown input[type="checkbox"] {
  width: 16px;
  height: 16px;
}

.filter-item.sort .filter-dropdown {
  left: auto;
  right: 0;
  min-width: auto;
}

.filter-item.sort .filter-dropdown label {
  white-space: nowrap;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}

.filter-item.sort .filter-toggle {
  white-space: nowrap;
}

.filter-item.sort .filter-toggle span {
  text-transform: none;
}

.filter-item.sort .filter-dropdown label:not(:last-of-type) {
  margin-bottom: 12px;
}

/* Selected filters */
.selected-filters {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.selected-tag {
  padding: 7px 12px;
  display: flex;
  align-items: center;
  gap: 6px;
  border: 1px solid #d9d9d9;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}

.selected-tag .remove-tag {
  cursor: pointer;
  font-size: 14px;
  height: 16px;
}

.selected-tag svg,
.selected-tag img {
  width: 16px;
  height: 16px;
  stroke: var(--text-color-black);
}

.clear-btn {
  background: transparent;
  cursor: pointer;
}

.price-slider__wrap {
  display: flex;
  align-items: center;
  gap: 24px;
  margin-bottom: 24px;
}

.price-slider__wrap input {
  flex: 1;
  height: 40px;
  padding: 6px 16px;
  color: var(--text-color-black);
  font-size: 16px;
  width: 120px;
  border: 1px solid #d9d9d9;
}

.catalog-filters .open-popup-filter {
  display: none;
}

.filter-result__top {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 26px;
}

.filter-result__count {
  font-weight: 400;
}
.page-pagination__wrap,
.page-pagination {
  display: flex;
  align-items: center;
  gap: 12px;
  justify-content: center;
}

.page-pagination a,
.page-pagination .dots {
  padding: 6px 12px;
  border: 1px solid #15161a;
  background: transparent;
  cursor: pointer;
  user-select: none;
  height: 64px;
  min-width: 64px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: var(--text-color-black);
}

.page-pagination .dots {
  border: none;
  cursor: default;
}

.page-pagination button:hover {
  background: #f3f3f3;
}

.page-pagination .active {
  font-weight: bold;
}

.page-pagination .prev,
.page-pagination .next {
  padding: 6px 10px;
  border: 0;
  background-color: transparent;
}
.page-pagination img {
  width: 24px;
  height: 24px;
}
.page-pagination__mob {
  display: none;
}

@media (max-width: 1280px) {
  .catalog-filters .filter-toggle {
    font-size: 14px;
    line-height: 21px;
    gap: 4px;
    padding: 6px 8px;
  }

  .catalog-filters .button-text {
    font-size: 14px;
    line-height: 20px;
  }
}
@media (max-width: 740px) {
  .catalog-filters .filters-list {
    display: none;
  }
  .catalog-filters .filters-list,
  .selected-tag svg {
    stroke: #fff;
  }
  .modal-filter.active .filters-list {
    display: flex;
  }
  .catalog-filters .open-popup-filter {
    display: flex;
    color: var(--text-color-black);
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-transform: uppercase;
    gap: 4px;
    padding-bottom: 0;
    border: 0;
  }

  /* .catalog-filter__wrap {
    border-bottom: 0;
  } */

  .catalog-filters .filter-toggle {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
  }

  .catalog-filters .open-popup-filter img {
    width: 24px;
    height: 24px;
  }
}
@media (max-width: 650px) {
  .filter-item.sort .filter-toggle {
    font-size: 12px;
  }
  .catalog-filter__wrap {
    gap: 0;
  }
  .modal-filter.active .filters-list .filter-toggle {
    font-size: 16px;
    padding: 20px;
  }
}

.footer .filter-item {
  position: relative;
}

.footer .filter-item:after {
  content: none !important;
}

.footer .filter-toggle {
  background: transparent;
  display: inline-flex;
  align-items: center;
  cursor: pointer;
  gap: 6px;
  padding: 6px 0;
  text-transform: uppercase;
  color: #fff;
  font-size: 14px;
}

.footer .filter-toggle img {
  width: 16px;
  transition: transform 0.2s ease;
}

.footer .filter-toggle.active img {
  transform: rotate(-180deg);
}

.footer .filter-dropdown {
  position: absolute;
  left: 0;
  bottom: calc(100% + 8px);
  top: auto;

  background: #fff;
  padding: 16px;
  display: none;
  flex-direction: column;

  min-width: 220px;
  max-height: 260px;
  overflow-y: auto;

  z-index: 999;
  box-shadow: 0px 0px 25px 0px #15161a0f;
}

.footer .filter-item.open .filter-dropdown {
  display: flex;
}

.footer .filter-dropdown .checkbox:not(:last-of-type) {
  margin-bottom: 16px;
}

.footer .filter-dropdown label {
  display: flex;
  align-items: center;
  cursor: pointer;
  font-size: 14px;
}

.footer .filter-dropdown .checkbox-text {
  font-size: 14px;
  text-transform: none;
}
.footer .filter-dropdown input[type="checkbox"] {
  width: 16px;
  height: 16px;
}
.search-template_box {
  padding: 45px 0;
}

@media (max-width: 640px) {
  .search-template_box {
    padding: 35px 0;
  }

  .search-template_box .h1,
  .search-template_box h1 {
    font-size: 26px;
  }
}
.catalog-filter__bottom:not(:has(.selected-filters.active)) {
  display: none;
}
.modal-filter {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  background-color: #000000;
  padding: 20px 0 100px;
  display: flex;
  flex-direction: column;
  clip-path: circle(0% at 100% 0%);
  transition: clip-path 0.45s ease-in-out;
}

.modal-filter.active {
  clip-path: circle(150% at 100% 0%);
}

.modal-filter .range-track .noUi-connect,
.modal-filter .range-track.noUi-horizontal .noUi-handle {
  background-color: #fff;
}

.modal-filter .range-track.noUi-target {
  background-color: #848484;
  border: 0;
  box-shadow: none;
}

.modal-filter__header {
  display: flex;
  /*   position: absolute;
        top: 20px; */
  left: 0;
  right: 0;
  padding: 0 20px;
  border-bottom: 1px solid #343434;
  padding-bottom: 20px;
  color: #fff;
  flex-direction: column;
  gap: 12px;
}

.modal-filter__header .count {
  color: #69737c;
  display: none;
}

.modal-filter__header .count.active {
  display: block;
}

.filter-toggle.active img {
  transform: rotate(-180deg);
}

.modal-filter__header-title {
  font-weight: 700;
  font-size: 16px;
  line-height: 24px;
  text-transform: uppercase;
  color: #fff;
}

.modal-filter .popup-buttons {
  position: absolute;
  left: 20px;
  right: 20px;
  bottom: 20px;
  display: flex;
  align-items: center;
}

.modal-filter .popup-buttons .btn {
  flex: 1;
  min-width: auto;
}

.modal-filter .selected-tag {
  color: #fff;
}

.modal-filter .selected-filters {
  display: none;
  padding: 20px;
  border-bottom: 1px solid #343434;
}

.modal-filter .selected-filters.active {
  display: flex;
}

.modal-filter .filters-list {
  display: flex;
  flex-direction: column;
  gap: 0;
}

.modal-filter .filter-item {
  border-bottom: 1px solid #343434;
  width: 100%;
}

.modal-filter .filter-toggle {
  color: White;
  width: 100%;
  justify-content: space-between;
  padding: 20px;
}

.modal-filter .filter-item:after {
  content: none !important;
}

.modal-filter .filter-dropdown {
  position: static;
  background: transparent;
  padding: 0 20px 20px;
  box-shadow: none;
}

.modal-filter .filter-content {
  overflow: auto;
}

.filter-item.sort .filter-dropdown label.selected {
  display: none;
}

@media (max-width: 768px) {
  .catalog-filter__wrap .filter-toggle span {
    display: none;
  }

  .filter-item.sort .filter-dropdown label.selected {
    display: flex;
  }
}
